%{?scl:%scl_package takari-plugin-testing}
%{!?scl:%global pkg_name %{name}}

%global baserelease 3

%bcond_with bootstrap

Name:           %{?scl_prefix}takari-plugin-testing
Version:        2.9.2
Release:        9.%{baserelease}%{?dist}
Summary:        Maven plugin testing library
License:        EPL-1.0 and ASL 2.0
URL:            http://takari.io/
BuildArch:      noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

Source0:        https://github.com/takari/%{pkg_name}/archive/%{pkg_name}-%{version}.tar.gz
# Upstream is known to refuse to include license texts in the repository
Source1:        http://www.eclipse.org/legal/epl-v10.html
Source2:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}mvn(io.takari.m2e.workspace:org.eclipse.m2e.workspace.cli)
BuildRequires:  %{?scl_prefix_maven}mvn(junit:junit)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.commons:commons-compress)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.commons:commons-exec)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-aether-provider)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-artifact)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-core)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-model)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-settings)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-settings-builder)
BuildRequires:  %{?scl_prefix_maven}mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  %{?scl_prefix_maven}mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.aether:aether-api:1.1.0)
BuildRequires:  %{?scl_prefix_maven}mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  %{?scl_prefix}mvn(org.sonatype.sisu:sisu-guice::no_aop:)
%if %{without bootstrap}
BuildRequires:  %{?scl_prefix}mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
BuildRequires:  %{?scl_prefix}mvn(io.takari:takari:pom:)
%endif

%description
Small, cohesive, one-stop library for developing unit and integration tests for
Maven plugins. Provides alternative to, and arguably supersedes,
maven-plugin-testing-harness and maven-verifier.

%package javadoc
Summary:        API documentation for %{pkg_name}

%description javadoc
This package provides %{summary}.


%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-project-%{pkg_name}-%{version}

# disable its for now
%pom_disable_module takari-plugin-testing-its

cp %{SOURCE1} %{SOURCE2} .

%if %{with bootstrap}
%pom_remove_parent
%pom_xpath_remove -r 'pom:project/pom:packaging[contains(text(),"takari")]'
%pom_add_plugin :maven-compiler-plugin '
<configuration>
  <source>1.8</source>
  <target>1.8</target>
  <compilerArgument>-proc:none</compilerArgument>
</configuration>'
%endif
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build %{?with_bootstrap:-f}
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install

%{?scl:EOFSCL}

%files -f .mfiles
%doc readme.md
%license epl-v10.html LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license epl-v10.html LICENSE-2.0.txt


%changelog
* Thu Jun 13 2019 Mat Booth <mat.booth@redhat.com> - 2.9.2-9.3
- Full build

* Thu Jun 13 2019 Mat Booth <mat.booth@redhat.com> - 2.9.2-9.2
- Enable bootstrap mode

* Thu Jun 13 2019 Mat Booth <mat.booth@redhat.com> - 2.9.2-9.1
- Auto SCL-ise package for rh-eclipse collection

* Tue May 07 2019 Mat Booth <mat.booth@redhat.com> - 2.9.2-9
- Restrict to same architectures as Eclipse itself

* Wed Apr 24 2019 Mat Booth <mat.booth@redhat.com> - 2.9.2-8
- Fix license tag and add a bootstrap mode

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 13 2017 Michael Simacek <msimacek@redhat.com> - 2.9.2-4
- Update to upstream version 2.9.2

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 09 2017 Michael Simacek <msimacek@redhat.com> - 2.9.1-1
- Update to upstream version 2.9.1

* Mon Jul 18 2016 Michael Simacek <msimacek@redhat.com> - 2.9.0-1
- Update to upstream version 2.9.0

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 16 2015 Michael Simacek <msimacek@redhat.com> - 2.1.0-2
- Include ASL 2.0 license

* Tue Mar 10 2015 Michael Simacek <msimacek@redhat.com> - 2.1.0-1
- Initial packaging
